Skip to main content
GET
/
gpus
/
v2
/
endpoints
/
{endpoint_id}
Get Endpoint
curl --request GET \
  --url https://api.novita.ai/gpus/v2/endpoints/{endpoint_id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "endpoint-id",
  "name": "example-endpoint",
  "app_name": "example-app",
  "status": {
    "status": "running",
    "error": "",
    "message": ""
  },
  "url": "https://endpoint.example.com/endpoint-id",
  "product_id": "<string>",
  "worker_config": {
    "min_replicas": 0,
    "max_replicas": 2,
    "idle_timeout": 300,
    "max_concurrent_per_worker": 10,
    "gpu_num": 1,
    "rootfs_size_gb": 20,
    "min_cuda_version": "12.4",
    "request_timeout": 60
  },
  "policy": {
    "type": "queue",
    "value": 100
  },
  "image": "registry.example.com/namespace/image:tag",
  "registry_auth_id": "registry-auth-id",
  "entrypoint": "",
  "command": "cargo run",
  "volumes": [
    {
      "id": "storage-id",
      "type": "network",
      "mount_point": "/data"
    }
  ],
  "envs": [
    {
      "key": "ENV_NAME",
      "value": "ENV_VALUE"
    }
  ],
  "ports": [
    8080
  ],
  "workers": [
    {
      "id": "worker-id",
      "status": {
        "status": "ready",
        "error": "",
        "message": ""
      },
      "log": "https://logs.example.com/worker-id",
      "health": true,
      "drain": false
    }
  ],
  "health_check": {
    "path": "/healthz",
    "port": 8080
  },
  "region_id": "region-id",
  "member_id": "member-id",
  "owner_id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": 1710000000
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

endpoint_id
string
required

Endpoint ID. String, length: 1-255 characters.

Response

200 - application/json

OK

id
string

Endpoint ID

Example:

"endpoint-id"

type
enum<string>

Endpoint type. Allowed values: sync, async

Available options:
sync,
async
name
string

Endpoint name

Example:

"example-endpoint"

app_name
string

Application name

Example:

"example-app"

status
object

Endpoint status

url
string

Access URL

Example:

"https://endpoint.example.com/endpoint-id"

product_id
string

Serverless product ID

worker_config
object

Worker configuration

Example:
{
"min_replicas": 0,
"max_replicas": 2,
"idle_timeout": 300,
"max_concurrent_per_worker": 10,
"gpu_num": 1,
"rootfs_size_gb": 20,
"min_cuda_version": "12.4",
"request_timeout": 60
}
policy
object

Policy configuration

Example:
{ "type": "queue", "value": 100 }
image
string

Image address

Example:

"registry.example.com/namespace/image:tag"

registry_auth_id
string

Registry authentication ID

Example:

"registry-auth-id"

entrypoint
string

Container entrypoint

Example:

""

command
string

Startup command

Example:

"cargo run"

volumes
object[]

Mount list

Example:
[
{
"id": "storage-id",
"type": "network",
"mount_point": "/data"
}
]
envs
object[]

Environment variable list

Example:
[{ "key": "ENV_NAME", "value": "ENV_VALUE" }]
ports
integer[]

Port list

Example:
[8080]
workers
object[]

Worker list

health_check
object

Health check configuration

Example:
{ "path": "/healthz", "port": 8080 }
region_id
string

Region ID

Example:

"region-id"

member_id
string

Member ID

Example:

"member-id"

owner_id
string

Owner ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

created_at
integer

Creation time. Unix timestamp

Example:

1710000000

Last modified on June 26, 2026